
#include <stdio.h>
#include <stdlib.h>

#include <sys/types.h>
#include <unistd.h>

int main(int argc, char** argv) {
  pid_t pid;
  char* prefix = NULL;
  
  if ( (pid = fork()) > 0) {
    prefix = "[padre]";
  } else if (pid == 0) {
    prefix = "[figlio]";
  } else {
    perror("Errore nella fork()");
  } 
  
  printf("%s pid %d - ppid %d.\n", prefix, getpid(), getppid());
  exit(EXIT_SUCCESS);
}
