#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <signal.h>

int main(int argc, char** argv) {
  int pid, res, signo, prev_pid;

  
  pid = -1;
  prev_pid = -1;
  
  do {
    printf("Inserisci il PID del processo a cui inviare il sengale (0 per il PID precedente, -1 per terminare): ");
    
    if( (res=scanf("%d", &pid)) == 0 || res == EOF || pid < 0 || (pid==0 && prev_pid==-1))
      break;
    
    if(pid == 0)
      pid = prev_pid;
    
    do {
      printf("Inserisci il numero 1--31 del segnale da inviare al processo %d: ", pid);
      scanf("%d", &signo);
    } while (signo < 1 || signo > 31);
    
    printf("%s --> %d\n", sys_siglist[signo], pid);
    if( kill(pid, signo) < 0) 
      perror("Invio del segnale fallito");
    prev_pid = pid;
  } while(pid > 0);
  
  exit(EXIT_SUCCESS);
} /* main */




