
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>

int main(int argc, char** argv) {
  pid_t pid;

  if ( (pid = fork()) > 0) {
    printf("Sono il processo padre - pid %d.\n", getpid());
    sleep(1);
  } else if (pid == 0) {
    printf("Sono il processo figlio - pid %d.\n", getpid());
    printf("Eseguo la exec\n");
    execl("./figlio", "figlio", NULL);
    printf("---- Questa riga non dovrebbe essere mai stampata");
  } else {
    perror("Errore nella fork()");
  }
  exit(EXIT_SUCCESS);
}
