#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/wait.h>

int main(int argc, char** argv) {
  pid_t pid;
  pid_t child_pid;
  int status;
  
  if ( (pid = fork()) > 0) {
    printf("Sono il processo padre - pid %d.\n", getpid());
    /* Aspetto che uno dei figli - NB IN QUESTO ESEMPIO C'E` UN SOLO PROCESSO FIGLIO */
    status = -1;
    /* child_pid non e` necessario (il suo valore e` in pid) perche' c'e` un solo figlio. */
    child_pid = wait(&status);
    printf("Il process figlio con PID %d e` terminato.\n", child_pid);
  } else if (pid == 0) {
    printf("Sono il processo figlio - pid %d.\n", getpid());
    printf("Eseguo la exec\n");
    execl("./figlio", "figlio", NULL);
    printf("---- Questa riga non dovrebbe essere mai stampata");
  } else {
    perror("Errore nella fork()");
  } 
  exit(EXIT_SUCCESS);
}
